<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:res="http://www.destatis.de/schema/datml-raw/2.0/de" exclude-result-prefixes="res">
    
    <xsl:param name="stylesheet-version">1.0.1</xsl:param>

	<!-- res2html
        svn: $LastChangedDate: 2013-07-29 07:34:22 +0100 (Mo, 29 Juli 2013) $
        svn: $LastChangedRevision: 320 $
    -->	
	
	
    <xsl:output indent="yes" method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />


    <xsl:template match="res:DatML-RES-D">
        <html>
            <head>
                <title>Pr&#252;fprotokoll zur Datenlieferung an die amtliche Statistik</title>
                <link rel="stylesheet" href="format.css" type="text/css" />
            </head>
            <body style="font-family:arial">

                <table bgcolor="#ffffe0" width="100%" cellpadding="2">
                    <tr bgcolor="#e4eeff">
						<xsl:element name="th">
							<xsl:attribute name="colspan">
								<xsl:text>2</xsl:text>
							</xsl:attribute>	
							<xsl:attribute name="align">
								<xsl:text>left</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="valign">
								<xsl:text>middle</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="style">
								<xsl:text>font-size:larger</xsl:text>
							</xsl:attribute>
							<xsl:element name="a">
								<xsl:attribute name="name">
									<xsl:text>AnfangPruefprotokoll</xsl:text>
								</xsl:attribute>
								Pr&#252;fprotokoll zur Datenlieferung an die amtliche Statistik
							</xsl:element>
						</xsl:element>
                    </tr>
					
					
					<xsl:call-template name="createBlankRow">
						<xsl:with-param name="height">20</xsl:with-param>
					</xsl:call-template>
					
                    <xsl:call-template name="KopfPruefprotokoll" />
					
					<xsl:call-template name="createBlankRow">
						<xsl:with-param name="height">20</xsl:with-param>
					</xsl:call-template>
					
                    <tr bgcolor="#e4eeff">
                        <th colspan="2" align="left" valign="middle" style="font-size:larger"
                            >Allgemeine Angaben zur Datenlieferung</th>
                    </tr>
                    <xsl:call-template name="StatusAuswertung" />

			
					<xsl:apply-templates select="res:pruefprotokoll/res:dokument" />

					
					<xsl:call-template name="createBlankRow">
						<xsl:with-param name="height">40</xsl:with-param>
					</xsl:call-template>
					
					
					<tr bgcolor="#e4eeff">
						<th colspan="2" align="left" valign="middle" style="font-size:larger"
							>&#220;berblick &#252;ber abgewiesene Meldungen der Datenlieferung			</th>
					</tr>
					
					<xsl:call-template name="UebersichtPruefergebnis" />
					

					<xsl:call-template name="createBlankRow">
						<xsl:with-param name="height">20</xsl:with-param>
					</xsl:call-template>					

					<tr bgcolor="#e4eeff">
                        <th colspan="2" align="left" valign="middle" style="font-size:larger"
                            >Pr&#252;fergebnisse der einzelnen Meldungen</th>
                    </tr>
                    <!--<xsl:apply-templates select="res:pruefprotokoll/res:pruefung" />-->
                    
					
					
					<xsl:apply-templates select="//res:meldung">
						<xsl:sort select="@meldungsstatus" order="ascending"/>
					</xsl:apply-templates>
					
					<xsl:call-template name="createBlankRow">
						<xsl:with-param name="height">20</xsl:with-param>
					</xsl:call-template>
					
                    <tr bgcolor="#e4eeff">
                        <th colspan="2" align="left" valign="middle" style="font-size:larger"
                            >Ende des Pr&#252;fprotokolls</th>
                    </tr>
                    <tr>
                        <th colspan="2" align="right" valign="middle" style="font-style:italic;font-size:small;font-weight:normal"
                            ><i>Erstellt mit res2html <xsl:value-of select="$stylesheet-version"/> (f&#252;r XStatistik 2.1.0)</i></th>
                    </tr>
                </table>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="getFormattedDate">
        <xsl:param name="date" />
        <xsl:value-of
            select="concat(substring($date,7,2),'.',substring($date,5,2),'.',substring($date,1,4))"
         />
    </xsl:template>

    <xsl:template name="getFormattedTime">
        <xsl:param name="time" />
        <xsl:value-of
            select="concat(substring($time,1,2),':',substring($time,3,2),':',substring($time,5,2))"
         />
    </xsl:template>

    <xsl:template name="createRow">
        <xsl:param name="header" />
        <xsl:param name="content"/>
        <xsl:param name="content.bold">false</xsl:param>
		<xsl:param name="textcolor" required="no">000000</xsl:param>

        <xsl:element name="tr">
            <xsl:element name="td">
                <xsl:element name="font">
					<xsl:attribute name="color">
						<xsl:value-of select="$textcolor"/>
					</xsl:attribute>
					<xsl:value-of select="$header" />
				</xsl:element>
            </xsl:element>
            <xsl:element name="td">
                <xsl:choose>
                    <xsl:when test="$content.bold = 'true'">
                        <xsl:element name="font">
							<xsl:attribute name="color">
								<xsl:value-of select="$textcolor"/>
							</xsl:attribute>
							<b>
								<xsl:value-of select="$content" />
							</b>
						</xsl:element>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:element name="font">
							<xsl:attribute name="color">
								<xsl:value-of select="$textcolor"/>
							</xsl:attribute>
							<xsl:value-of select="$content" />
						</xsl:element>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:element>
        </xsl:element>
    </xsl:template>
	
	
	<xsl:template name="createBlankRow">
		<xsl:param name="height" />
					<tr>
						<td height="{$height}"></td>
						<td>
						</td>
					</tr>	
    </xsl:template>
	
	<xsl:template name="createRowIndented">
        <xsl:param name="header" />
        <xsl:param name="content"/>
        <xsl:param name="content.bold" required="no" select="false"/>
		<xsl:param name="textcolor" required="no">000000</xsl:param>

        <xsl:element name="tr">
			<xsl:element name="td">
				<table bgcolor="#ffffe0" width="100%" cellpadding="0" cellspacing="0">
					<colgroup>
						<col width="20"/>
						<col/>
					</colgroup>
                    <tr bgcolor="#ffffe0">
						<td width="50" align="left" valign="middle" style="font-size:larger">
						</td>	
                        <td align="left" valign="middle" style="font-size:larger">
                            <font color="{$textcolor}">
							    <xsl:value-of select="$header" />
                            </font>
						</td>	
					</tr>
				</table>
            </xsl:element>
            <xsl:element name="td">
                <xsl:choose>
                    <xsl:when test="$content.bold = 'true'">
                        <font color="{$textcolor}">
                            <b><xsl:value-of select="$content"/></b>
                        </font>
                        <!--
                        <xsl:element name="font">
							<xsl:attribute name="color">
								<xsl:value-of select="$textcolor"/>
							</xsl:attribute>
							<b>
								<xsl:value-of select="$content" />
							</b>
						</xsl:element>	
                        -->
                    </xsl:when>
                    <xsl:otherwise>
                        <font color="{$textcolor}">
                            <xsl:value-of select="$content"/>
                        </font>
                        <!--
                            <xsl:element name="font">
							<xsl:attribute name="color">
								<xsl:value-of select="$textcolor"/>
							</xsl:attribute>
							<xsl:value-of select="$content" />
						</xsl:element>
						-->
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:element>
        </xsl:element>
    </xsl:template>
	
    <xsl:template name="StatusAuswertung">
		<xsl:apply-templates select="res:pruefprotokoll/res:dokument/res:dateneingang" />
		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Art der Datenlieferung: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:choose>
                    <xsl:when test="res:optionen/res:test">
                        <xsl:text>Testmeldung</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        Originalmeldung (Echtdaten)
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
        
        <xsl:if test="res:optionen/res:test">
            <xsl:call-template name="createRowIndented">
                <xsl:with-param name="header">Testkennung (nur bei Testmeldung): </xsl:with-param>
                <xsl:with-param name="content">
                    <xsl:value-of select="res:optionen/res:test/@kennung" />
                </xsl:with-param>
                <xsl:with-param name="content.bold">true</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
        
		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Dokumenttyp: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:pruefung/res:dokumenttyp/res:name" />
                <xsl:text> (</xsl:text><xsl:value-of select="res:pruefprotokoll/res:pruefung/res:dokumenttyp/res:version" /><xsl:text>)</xsl:text>
            </xsl:with-param>
            <xsl:with-param name="content.bold">false</xsl:with-param>
        </xsl:call-template>

		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Anzahl der in der Datenlieferung beinhalteten Meldungen: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="count(/res:DatML-RES-D/res:pruefprotokoll/res:dokument//res:meldung)" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">false</xsl:with-param>
        </xsl:call-template>
		
		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">20</xsl:with-param>
        </xsl:call-template>		
		
		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Status der Datenlieferung: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:dokument/@dokumentstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
		
        <xsl:call-template name="createRow">
            <xsl:with-param name="header">Ergebnis der Pr&#252;fung: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:dokument/@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
		
		<xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Syntax (Technische Information):</xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:pruefung/res:syntax/@pruefstatus" />
            </xsl:with-param>			
            <xsl:with-param name="content.bold">true</xsl:with-param>
			<xsl:with-param name="textcolor">A0A0A0</xsl:with-param>
        </xsl:call-template>
		
		<xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Semantik (Technische Information):</xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:pruefung/res:semantik/@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
			<xsl:with-param name="textcolor">A0A0A0</xsl:with-param>
        </xsl:call-template>
		
		<xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Autorisierung: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:pruefung/res:autorisierung/@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
		
		<xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Formale Datenpr&#252;fung: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:pruefprotokoll/res:pruefung/res:daten/@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
		
		
    </xsl:template>

    <xsl:template name="KopfPruefprotokoll">
		<xsl:call-template name="Verarbeitungshinweis" >
			<xsl:with-param name="status"><xsl:value-of select="res:pruefprotokoll/res:dokument/@dokumentstatus"/></xsl:with-param>
			<xsl:with-param name="verarbeitungshinweis"><xsl:value-of select="res:pruefprotokoll/res:dokument/res:verarbeitungshinweis"/></xsl:with-param>
			<xsl:with-param name="erlaeuterung"><xsl:value-of select="res:pruefprotokoll/res:dokument/res:erlaeuterung"/></xsl:with-param>
		</xsl:call-template>	

		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">10</xsl:with-param>
		</xsl:call-template>
		
        <xsl:apply-templates select="res:absender" />
        <xsl:apply-templates select="res:empfaenger" />
    </xsl:template>

	<xsl:template match="res:memo">
		<tr>
			<td colspan="2"><xsl:value-of select="." /></td>
		</tr>
    </xsl:template>

	<xsl:template name="Verarbeitungshinweis">
		<xsl:param name="status"/>
		<xsl:param name="verarbeitungshinweis"/>
		<xsl:param name="erlaeuterung"/>
				
        <xsl:variable name="colour">
			<xsl:choose>
			    <xsl:when test="not(/res:DatML-RES-D/res:pruefprotokoll/res:dokument/res:dateneingang/res:eingangsstempel/text())">#0000C0</xsl:when>
    	        <xsl:when test="/res:DatML-RES-D/res:optionen/res:test">#0000C0</xsl:when>
			    <xsl:when test="$status='angenommen'">#008000</xsl:when>
				<xsl:when test="$status='teilweise abgewiesen'">#FF0000</xsl:when>
				<xsl:when test="$status='abgewiesen'">#FF0000</xsl:when>
			</xsl:choose>		
        </xsl:variable>
	    
		<tr>
			<td colspan="2"><font color="{$colour}"><b><xsl:value-of select="$verarbeitungshinweis"/></b></font></td>
		</tr>

    <!-- Im Falle von Textänderungen beim Erläuterungstext müssen im Stylesheet hier entsprechende Anpassungen vorgenommen werden!!! -->
	  <xsl:choose>
  		<xsl:when test="contains($erlaeuterung,'Die zur Prüfung gesendeten ')">
  	      <tr>
	          <td colspan="2"><b><xsl:value-of select="concat(substring-before($erlaeuterung,'ausgegeben.'), 'ausgegeben.')"/></b></td>
	        </tr>
  		</xsl:when>
 		</xsl:choose>		

	  <xsl:choose>
  		<xsl:when test="contains($erlaeuterung,'ACHTUNG: ')">
  	      <tr>
	          <td colspan="2"><b><xsl:value-of select="concat(concat('ACHTUNG: ',substring-before(substring-after($erlaeuterung,'ACHTUNG: '),'zukünftige Lieferungen.')), 'zukünftige Lieferungen.')"/></b></td>
	        </tr>
  		</xsl:when>
 		</xsl:choose>		

	  <xsl:choose>
  		<xsl:when test="contains($erlaeuterung,'EMPFEHLUNG: ')">
  	      <tr>
	          <td colspan="2"><b><xsl:value-of select="concat(concat('EMPFEHLUNG: ',substring-before(substring-after($erlaeuterung,'EMPFEHLUNG: '),'Prüfung Standard aus.')), 'Prüfung Standard aus.')"/></b></td>
	        </tr>
  		</xsl:when>
 		</xsl:choose>		
		
	  <xsl:choose>
  		<xsl:when test="contains($erlaeuterung,'Die Daten werden nun ')">
  	      <tr>
	          <td colspan="2"><b><xsl:value-of select="concat(substring-before($erlaeuterung,'inhaltlichen Prüfung unterzogen.'), 'inhaltlichen Prüfung unterzogen.')"/></b></td>
	        </tr>
  		</xsl:when>
 		</xsl:choose>		

	  <xsl:choose>
  		<xsl:when test="contains($erlaeuterung,'Bemerkung: ')">
  	      <tr>
	          <td colspan="2"><b><xsl:value-of select="concat(concat('Bemerkung: ',substring-before(substring-after($erlaeuterung,'Bemerkung: '),'für zukünftige Lieferungen.')), 'für zukünftige Lieferungen.')"/></b></td>
	        </tr>
  		</xsl:when>
 		</xsl:choose>		
 		
	  <xsl:choose>
  		<xsl:when test="contains($erlaeuterung,'Die zur Prüfung gesendeten ')">
  		</xsl:when>
  		<xsl:when test="contains($erlaeuterung,'ACHTUNG: ')">
  		</xsl:when>
  		<xsl:when test="contains($erlaeuterung,'EMPFEHLUNG: ')">
  		</xsl:when>
  		<xsl:when test="contains($erlaeuterung,'Die Daten werden nun ')">
  		</xsl:when>
  		<xsl:when test="contains($erlaeuterung,'Bemerkung: ')">
  		</xsl:when>
  		<xsl:otherwise>
 	      <tr>
          <td colspan="2"><b><xsl:value-of select="$erlaeuterung"/></b></td>
        </tr>
  		</xsl:otherwise>
 		</xsl:choose>		
    
    <!-- ENDE - Im Falle von Textänderungen beim Erläuterungstext müssen im Stylesheet hier entsprechende Anpassungen vorgenommen werden!!! -->

    </xsl:template>
	

	
    <xsl:template match="res:pruefprotokoll/res:dokument/res:dateneingang">

		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Eingangsstempel: </xsl:with-param>
            <xsl:with-param name="content">
				<xsl:choose>
					<xsl:when test="res:eingangsstempel = ''">
						<xsl:text>* kein g&#252;ltiger Dateneingang *</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="res:eingangsstempel"/>
					</xsl:otherwise>
				</xsl:choose>
            </xsl:with-param>
        </xsl:call-template>	  

        <xsl:call-template name="createRow">
            <xsl:with-param name="header">Datum und Uhrzeit des Eingangs: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:call-template name="getFormattedDate">
                    <xsl:with-param name="date">
                        <xsl:value-of select="res:datum" />
                    </xsl:with-param>
                </xsl:call-template>
                <xsl:text> </xsl:text>
                <xsl:call-template name="getFormattedTime">
                    <xsl:with-param name="time">
                        <xsl:value-of select="res:uhrzeit" />
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:with-param>
        </xsl:call-template>

		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Dateiname: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="res:datei/res:dateiname" />
            </xsl:with-param>
        </xsl:call-template>
		
    </xsl:template>


    <xsl:template match="res:pruefprotokoll/res:dokument">
        <!-- tr>
            <td />
        </tr>
        <tr>
            <th colspan="2" align="left" style="padding-top:10px">Pr&#252;fergebnis Dokument</th>
        </tr>

        <xsl:call-template name="createRow">
            <xsl:with-param name="header">Dokumentstatus: </xsl:with-param>
            <xsl:with-param name="content"><xsl:value-of select="@dokumentstatus"/></xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="createRow">
            <xsl:with-param name="header">Pr&#252;fstatus: </xsl:with-param>
            <xsl:with-param name="content"><xsl:value-of select="@pruefstatus"/></xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
            </xsl:call-template -->
        

        <!--<xsl:apply-templates select="res:nachricht"/>-->
		<xsl:call-template name="createFehlerliste">
            <xsl:with-param name="levelName">Datenlieferungsebene</xsl:with-param>
        </xsl:call-template>
        
		
    </xsl:template>

    <xsl:template match="res:absender">
        <tr>
            <td>Absender des Pr&#252;fprotokolls: </td>
            <td>
                <xsl:apply-templates select="res:kennung" />
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="res:empfaenger">
        <tr>
            <td>Empf&#228;nger des Pr&#252;fprotokolls: </td>
            <td>
                <xsl:apply-templates select="res:kennung" />
            </td>
        </tr>
        
		<xsl:call-template name="createNameAdresse" />
    </xsl:template>

    <xsl:template match="res:pruefungsprotokoll/res:pruefung">
        <tr>
            <td />
        </tr>
        <tr>
            <th colspan="2" align="left" style="padding-top:10px">Pr&#252;fverfahren und
                Pr&#252;fungsphasen</th>
        </tr>
        <xsl:apply-templates />
    </xsl:template>
	
	<xsl:template match="res:pruefung">
        <tr>
            <td />
        </tr>
        <xsl:apply-templates />
    </xsl:template>


    <xsl:template match="res:pruefstufe">
 <!--       <tr>
            <td>Pr&#252;fstufe: </td>
            <td>
                <b><xsl:value-of select="." /></b>
            </td>
        </tr>-->
    </xsl:template>

    <xsl:template match="res:dokumenttyp">
        <!--
		<tr>
            <td>Dokumenttyp: </td>
            <td>
                <xsl:value-of select="./res:name" />
                <xsl:text> (</xsl:text><xsl:value-of select="./res:version" /><xsl:text>)</xsl:text>
            </td>
        </tr>
		-->
    </xsl:template>

    <xsl:template match="res:syntax">
        <xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Syntax (Technische Information):</xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
			<xsl:with-param name="textcolor">A0A0A0</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="res:semantik">
        <xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Semantik (Technische Information):</xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
			<xsl:with-param name="textcolor">A0A0A0</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="res:autorisierung">
        <xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Autorisierung: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="res:daten">
        <xsl:call-template name="createRowIndented">
            <xsl:with-param name="header">Formale Datenpr&#252;fung:</xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

	
    <xsl:template match="res:nachricht">

        <tr>
            <th align="left" colspan="2" style="padding-top:20px">Pr&#252;fergebnis Nachricht
                    <xsl:value-of select="position()" /></th>
        </tr>

        <tr />
        <xsl:call-template name="createRow">
            <xsl:with-param name="header">Pr&#252;fstatus: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="createFehlerliste">
            <xsl:with-param name="levelName">Meldungsebene</xsl:with-param>
        </xsl:call-template>
 <!--       
        <xsl:apply-templates select="res:meldung">
            <xsl:with-param name="positionNachricht">
                <xsl:value-of select="position()"/>
            </xsl:with-param>
        </xsl:apply-templates>
-->
    </xsl:template>

	
    <xsl:template name="createFehlerliste">
        <xsl:param name="levelName">***Angabe der Ebene fehlt (interner Fehler)***</xsl:param>
		<tr />
            <!--<xsl:if test="position() = 1">-->
            <tr>
				<td colspan="2" align="left" style="padding-top:10px">
					<b>Auf der <xsl:value-of select="$levelName"/> festgestellte Fehler und Hinweise:</b>
				</td>
            </tr>
            <!--</xsl:if>-->
		
        <xsl:choose>
			<xsl:when test="(res:fehler and $levelName!='Meldungsebene')" >
				<tr>
					<td colspan="2">
						<table border="1" width="100%">
							<col width="5%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<xsl:apply-templates select="res:fehler"/>
						</table>
					</td>
				</tr>
			</xsl:when>	
			<xsl:when test="(preceding-sibling::res:fehler|res:fehler and $levelName='Meldungsebene')" >
				<tr>
					<td colspan="2">
						<table border="1" width="100%">
							<col width="5%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<col width="7%"></col>
							<xsl:apply-templates select="preceding-sibling::res:fehler|res:fehler"/>
						</table>
					</td>
				</tr>
			</xsl:when>	
			<xsl:otherwise>
				<tr>
					<td colspan="2" align="left" style="padding-top:0px">
					keine 
					</td>
				</tr>
			</xsl:otherwise>			
        </xsl:choose>
			
    </xsl:template>

    <xsl:template match="res:fehler">
        <tr>
            <td align="right" valign="top" rowspan="4">
                <xsl:value-of select="position()" />
            </td>
            <td align="left" bgcolor="#e4eeff">Merkmal:</td>
            <td align="left">
				<xsl:choose>
					<xsl:when test="res:merkmal">
						<xsl:value-of select="res:merkmal" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>-</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
            </td>
            <td align="left" bgcolor="#e4eeff">Gewicht:</td>
            <td align="left">
                <xsl:apply-templates select="res:gewicht"/>
            </td>

			<td align="left" bgcolor="#e4eeff">Schl&#252;ssel:</td>
            <td align="left">
                <xsl:value-of select="res:schluessel" />
            </td>
        </tr>
        <tr>
            <td align="left" bgcolor="#e4eeff">Text</td>
            <td align="left" colspan="5">
                <xsl:value-of select="res:text" />
            </td>
        </tr>
        <tr>
            <td align="left" bgcolor="#e4eeff">Position:</td>
            <td align="left" colspan="5">
                <xsl:value-of select="res:position" />
            </td>
        </tr>
		<tr>
            <td align="left" bgcolor="#e4eeff">Zeile/Spalte:</td>
            <td align="left" colspan="5">
                <xsl:value-of select="res:position/@zeileSpalte" />
            </td>
        </tr>
    </xsl:template>

	
    <xsl:template match="res:meldung">
        <!--<xsl:param name="positionNachricht">?</xsl:param>-->
        
		<tr>
            <th colspan="2" align="left" style="padding-top:15px">Pr&#252;fergebnis 
				<xsl:element name="a">
					<xsl:attribute name="name">
						<xsl:value-of select="concat('meldung_',string(position()))"/>
					</xsl:attribute>
					<xsl:attribute name="href">
						<xsl:value-of select="concat('#meldung_',string(position()))"/>
					</xsl:attribute>
					Meldung <xsl:value-of select="position()" />:
				</xsl:element>
			</th>
        </tr>
		
		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">20</xsl:with-param>
		</xsl:call-template>
		
        <xsl:call-template name="Verarbeitungshinweis" >
			<xsl:with-param name="status"><xsl:value-of select="@meldungsstatus"/></xsl:with-param>
			<xsl:with-param name="verarbeitungshinweis"><xsl:value-of select="res:verarbeitungshinweis"/></xsl:with-param>
			<xsl:with-param name="erlaeuterung"><xsl:value-of select="res:erlaeuterung"/></xsl:with-param>
		</xsl:call-template>
		
		
		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Meldungsstatus: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@meldungsstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
		
		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Pr&#252;fstatus: </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:value-of select="@pruefstatus" />
            </xsl:with-param>
            <xsl:with-param name="content.bold">true</xsl:with-param>
        </xsl:call-template>
        
		<xsl:choose>
            <xsl:when test="res:meldungsID">
                <tr>
                    <td>MeldungsID:</td>
                    <td>
                        <xsl:value-of select="res:meldungsID" />
                    </td>
                </tr>
            </xsl:when>
            <xsl:otherwise />
        </xsl:choose>

        <xsl:choose>
            <xsl:when test="res:meldungsart">
                <tr>
                    <td>Meldungsart: </td>
                    <td>
                        <xsl:apply-templates select="res:meldungsart" />
                    </td>
                </tr>
            </xsl:when>
            <xsl:otherwise />
        </xsl:choose>

		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">20</xsl:with-param>
		</xsl:call-template>
		
		<xsl:apply-templates select="res:pruefung" />

		
		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">20</xsl:with-param>
		</xsl:call-template>
		
		
        <xsl:apply-templates select="res:erhebung" />
		
		<xsl:call-template name="FormatBerichtszeitraum" />
        
		<tr>
            <td>BerichtseinheitID: </td>
            <td>
                <xsl:value-of select="@berichtseinheitID" />
            </td>
        </tr>
		
		<xsl:choose>
			<xsl:when test="res:berichtspflichtiger">
				<xsl:apply-templates select="res:berichtspflichtiger" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="LieferungBerichtspflichtiger" />
			</xsl:otherwise>
		</xsl:choose>
		
        <xsl:apply-templates select="res:berichtsempfaenger" />

		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">20</xsl:with-param>
		</xsl:call-template>
		
        <xsl:call-template name="createFehlerliste">
            <xsl:with-param name="levelName">Meldungsebene</xsl:with-param>
        </xsl:call-template>

		<xsl:call-template name="createRow">
            <xsl:with-param name="header">Technische Informationen zur Erhebung:</xsl:with-param>
            <xsl:with-param name="content"></xsl:with-param>
			<xsl:with-param name="textcolor">A0A0A0</xsl:with-param>
        </xsl:call-template>
		
		<xsl:apply-templates select="res:erhebung/res:ressource" />        
		
		<tr>
			<td colspan="2">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:text>#AnfangPruefprotokoll</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:text>Springt zur&#252;ck zum Anfang des Pr&#252;fprotokolls</xsl:text>
				</xsl:attribute>
	
				[Zur&#252;ck zum Anfang des Pr&#252;fprotokolls]
			</xsl:element>	
			</td>
			<td></td>
		</tr>
		
		<xsl:call-template name="createBlankRow">
			<xsl:with-param name="height">20</xsl:with-param>
		</xsl:call-template>
    </xsl:template>

    <xsl:template match="res:erhebung">
		<tr>
			<td>Erhebung:</td>
			<td><xsl:apply-templates select="res:kennung" /></td>
		</tr>
	</xsl:template>

	<xsl:template match="res:ressource">
        <xsl:call-template name="createRow">
            <xsl:with-param name="header"/>
            <xsl:with-param name="content"><xsl:value-of select="concat(.,' [',@klasse,']')" /></xsl:with-param>
			<xsl:with-param name="textcolor">A0A0A0</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
	
	
    <xsl:template match="res:kennung">
		<xsl:choose>
            <xsl:when test="string-length(.) &lt; 1">
                <xsl:text>* Kennung nicht angegeben *</xsl:text>
            </xsl:when>
			<xsl:when test="(not(@originalwert)) and (@klasse='STAID')">
				<xsl:call-template name="STAID" >
					<xsl:with-param name="nummer" select="."/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="(string-length(@originalwert) &gt; 0) and not (@klasse='STAID')">
                <xsl:value-of select="." />
				<b><xsl:text> (Originalwert: </xsl:text>
				<xsl:value-of select="@originalwert" />
				<xsl:text>)</xsl:text></b>
			</xsl:when>
			<xsl:when test="(string-length(@originalwert) &gt; 0) and (@klasse='STAID')">
                <xsl:call-template name="STAID" >
					<xsl:with-param name="nummer" select="."/>
				</xsl:call-template>
				<b><xsl:text> (Originalwert: </xsl:text>
				<xsl:call-template name="STAID" >
					<xsl:with-param name="nummer" select="@originalwert"/>
				</xsl:call-template>
				<xsl:text>)</xsl:text></b>
			</xsl:when>
			<xsl:when test="@klasse='ERHID'">
				<xsl:element name="a">
					<xsl:attribute name="href">
						<xsl:value-of select="concat('https://erhebungsdatenbank.estatistik.de/eid/Show.html?statid=',.)"/>
					</xsl:attribute>
					<xsl:attribute name="target">
						<xsl:text>_blank</xsl:text>
					</xsl:attribute>
					<xsl:attribute name="title">
						<xsl:text>&#214;ffnet die Erhebungsdatenbank in einem neuen Fenster</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="." />
				</xsl:element>			
            </xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="." />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
	
    <xsl:template match="res:berichtszeitraum">
		<xsl:apply-templates />
    </xsl:template>
	
    <xsl:template name="FormatBerichtszeitraum">
        <tr>
            <td>Berichtszeitraum:</td>
            <td>
                  <xsl:apply-templates select="res:berichtszeitraum" />
            </td>
        </tr>
    </xsl:template>
	

    <xsl:template match="res:berichtspflichtiger">
        <tr>
            <td>Berichtspflichtiger: </td>
            <td>
				<xsl:apply-templates select="res:identifikation/res:identitaet/res:organisation/res:name" />
            </td>
        </tr>
			<xsl:apply-templates select="res:identifikation/res:identitaet/res:person" />
			<xsl:apply-templates select="res:identifikation/res:adresse" />
    </xsl:template>

    <xsl:template match="res:berichtsempfaenger">
        <tr>
            <td>Berichtsempf&#228;nger: </td>
            <td>
                <xsl:apply-templates select="res:kennung" />
            </td>
        </tr>
		<xsl:if test="res:memo">
			<tr>
				<td></td>
				<td>
					<xsl:value-of select="res:memo"/>
				</td>
			</tr>
		</xsl:if>
    </xsl:template>

<xsl:template name="LieferungBerichtspflichtiger">
        <tr>
            <td>Berichtspflichtiger: </td>
            <td>
				<xsl:apply-templates select="/res:DatML-RES-D/res:empfaenger/res:identifikation/res:identitaet/res:organisation/res:name" />
            </td>
        </tr>
			<xsl:apply-templates select="/res:DatML-RES-D/res:empfaenger/res:identifikation/res:identitaet/res:person" />
			<xsl:apply-templates select="/res:DatML-RES-D/res:empfaenger/res:identifikation/res:adresse" />
    </xsl:template>

    <xsl:template match="res:berichtsempfaenger">
        <tr>
            <td>Berichtsempf&#228;nger: </td>
            <td>
                <xsl:apply-templates select="res:kennung" />
            </td>
        </tr>
		<xsl:if test="res:memo">
			<tr>
				<td></td>
				<td>
					<xsl:value-of select="res:memo"/>
				</td>
			</tr>
		</xsl:if>
    </xsl:template>					
					
	
    <xsl:template name="createNameAdresse">
        <xsl:apply-templates select="res:identifikation/res:identitaet/res:organisation" />
        <xsl:apply-templates select="res:identifikation/res:identitaet/res:person" />
        <xsl:apply-templates select="res:identifikation/res:adresse" />
    </xsl:template>

    <xsl:template match="res:identifikation/res:identitaet/res:organisation">
        <xsl:call-template name="createRow">
            <xsl:with-param name="content">
                <xsl:value-of select="res:name" />
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="res:identifikation/res:identitaet/res:person">
        <xsl:call-template name="createRow">
            <xsl:with-param name="content">
                <xsl:value-of select="res:nachname" />
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="res:identifikation/res:adresse">
        <xsl:call-template name="createRow">
            <xsl:with-param name="content">
                <xsl:value-of select="concat(res:postleitzahl,' ',res:ort)" />
            </xsl:with-param>
        </xsl:call-template>
        <xsl:if test="strasse">
            <xsl:call-template name="createRow">
                <xsl:with-param name="content">
                    <xsl:value-of select="res:strasse" />
                </xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

	<xsl:template match="res:gewicht">
		<xsl:choose>
			<xsl:when test="current()='FATAL'">
				<xsl:text>Fehler</xsl:text>
			</xsl:when>
			<xsl:when test="current()='WARN'">
				<xsl:text>Hinweis</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
    </xsl:template>

    <xsl:template match="res:beginn"> Beginn <xsl:apply-templates />
    </xsl:template>

    <xsl:template match="res:ende"> Ende <xsl:apply-templates />
    </xsl:template>

    <xsl:template match="res:jahr"> Jahr <xsl:value-of select="." />
    </xsl:template>

    <xsl:template match="res:halbjahr"> Halbjahr <xsl:value-of select="." />
    </xsl:template>

    <xsl:template match="res:semester">
		<xsl:choose>
			<xsl:when test=".='01'">
				<xsl:text> Wintersemester</xsl:text>
            </xsl:when>
			<xsl:when test=".='1'">
				<xsl:text> Wintersemester</xsl:text>
            </xsl:when>
			<xsl:when test=".='02'">
				<xsl:text> Sommersemester</xsl:text>
			</xsl:when>
			<xsl:when test=".='2'">
				<xsl:text> Sommersemester</xsl:text>
			</xsl:when>
		</xsl:choose>
    </xsl:template>

    <xsl:template match="res:quartal"> Quartal <xsl:value-of select="." />
    </xsl:template>

    <xsl:template match="res:woche"> Woche <xsl:value-of select="." />
    </xsl:template>

    <xsl:template match="res:monat"> Monat 
		<xsl:choose>
			<xsl:when test=".='01'">
				<xsl:text>Januar</xsl:text>
            </xsl:when>
			<xsl:when test=".='1'">
				<xsl:text>Januar</xsl:text>
            </xsl:when>
			<xsl:when test=".='02'">
                <xsl:text>Februar</xsl:text>
            </xsl:when>
			<xsl:when test=".='2'">
                <xsl:text>Februar</xsl:text>
            </xsl:when>
			<xsl:when test=".='03'">
                <xsl:text>M&#228;rz</xsl:text>
            </xsl:when>
			<xsl:when test=".='3'">
                <xsl:text>M&#228;rz</xsl:text>
            </xsl:when>
			<xsl:when test=".='04'">
                <xsl:text>April</xsl:text>
            </xsl:when>
			<xsl:when test=".='4'">
                <xsl:text>April</xsl:text>
            </xsl:when>
			<xsl:when test=".='05'">
                <xsl:text>Mai</xsl:text>
            </xsl:when>
			<xsl:when test=".='5'">
                <xsl:text>Mai</xsl:text>
            </xsl:when>
			<xsl:when test=".='06'">
                <xsl:text>Juni</xsl:text>
            </xsl:when>
			<xsl:when test=".='6'">
                <xsl:text>Juni</xsl:text>
            </xsl:when>
			<xsl:when test=".='07'">
                <xsl:text>Juli</xsl:text>
            </xsl:when>
			<xsl:when test=".='7'">
                <xsl:text>Juli</xsl:text>
            </xsl:when>
			<xsl:when test=".='08'">
                <xsl:text>August</xsl:text>
            </xsl:when>
			<xsl:when test=".='8'">
                <xsl:text>August</xsl:text>
            </xsl:when>
			<xsl:when test=".='09'">
                <xsl:text>September</xsl:text>
            </xsl:when>
			<xsl:when test=".='9'">
                <xsl:text>September</xsl:text>
            </xsl:when>
			<xsl:when test=".='10'">
                <xsl:text>Oktober</xsl:text>
            </xsl:when>
			<xsl:when test=".='11'">
                <xsl:text>November</xsl:text>
            </xsl:when>
			<xsl:when test=".='12'">
                <xsl:text>Dezember</xsl:text>
            </xsl:when>
		</xsl:choose>
	</xsl:template>

    <xsl:template match="res:tag"> Tag <xsl:value-of select="." />
    </xsl:template>

    <xsl:template match="res:meldungsart">
        <xsl:apply-templates />
    </xsl:template>

    <xsl:template match="res:original"> original </xsl:template>

    <xsl:template match="res:berichtigung"> berichtigung <xsl:value-of select="res:meldungsID" />
    </xsl:template>

    <xsl:template match="res:nachmeldung"> nachmeldung <xsl:value-of select="res:meldungsID" />
    </xsl:template>

    <xsl:template match="res:austausch"> austausch <xsl:value-of select="res:meldungsID" />
    </xsl:template>

    <xsl:template match="res:loeschung"> loeschung <xsl:value-of select="res:meldungsID" />
    </xsl:template>

    <xsl:template match="res:nil"> nil </xsl:template>
	
	
	
	
	
	<xsl:template name="UebersichtPruefergebnis">
		<xsl:if test="/res:DatML-RES-D/res:pruefprotokoll/res:dokument[@dokumentstatus='teilweise abgewiesen'] or /res:DatML-RES-D/res:pruefprotokoll/res:dokument[@dokumentstatus='abgewiesen']">
			<tr>
				<td colspan="2"><font color="FF0000"><b>
				Achtung! Es wurden Meldungen abgewiesen!
				</b></font></td>
			</tr>
			<tr>
				<td colspan="2"><b>
				Diese Meldungen werden nicht an das zust&#228;ndige Statistische Amt weitergeleitet. Bitte beachten Sie die Fehlerhinweise in diesem Pr&#252;fprotokoll und &#252;bermitteln Sie diese Meldungen nach Bereinigung der Fehler erneut.
				</b></td>
			</tr>
			
			<tr>
			<td colspan="2">
				<table border="1" width="100%">
					<col width="2%"></col>
					<col width="7%"></col>
					<col width="7%"></col>
					<col width="7%"></col>
					<th>Meldung</th>
					<th>Erhebung</th>
					<th>Berichtszeitraum</th>
					<th>Berichtspflichtiger</th>
					<xsl:call-template name="ZeileUebersichtPruefergebnis">
					</xsl:call-template>
				</table>
			</td>
			</tr>
			</xsl:if>
			<xsl:if test="/res:DatML-RES-D/res:pruefprotokoll/res:dokument[@dokumentstatus='angenommen']">
			<tr>
				<td colspan="2">
				Es wurden keine Meldungen abgewiesen!
				</td>
			</tr>
		</xsl:if>		
	</xsl:template> 

	
	<xsl:template name="ZeileUebersichtPruefergebnis">
				<xsl:for-each select="/res:DatML-RES-D/res:pruefprotokoll/res:dokument//res:meldung">
				<xsl:sort select="@meldungsstatus" order="ascending"/>
		<xsl:if test="current()[@meldungsstatus='abgewiesen']">
			<tr>
				<td>
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:value-of select="concat('#meldung_',string(position()))"/>
						</xsl:attribute>
						<xsl:attribute name="title">
						<xsl:text>Springt zur Meldung im Pr&#252;fprotokoll</xsl:text>
					</xsl:attribute>
						<xsl:value-of select="position()" />
					</xsl:element>
					
				</td>
				<td align="left">
					<xsl:choose>
						<xsl:when test="res:erhebung/res:kennung">
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:value-of select="concat('https://erhebungsdatenbank.estatistik.de/eid/Show.html?statid=',res:erhebung/res:kennung[@klasse='ERHID'])"/>
								</xsl:attribute>
								<xsl:attribute name="target">
									<xsl:text>_blank</xsl:text>
								</xsl:attribute>
								<xsl:attribute name="title">
									<xsl:text>&#214;ffnet die Erhebungsdatenbank in einem neuen Fenster</xsl:text>
								</xsl:attribute>
								<xsl:value-of select="res:erhebung/res:kennung[@klasse='ERHID']" />
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>-</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td align="left">
				<!--
				<xsl:value-of select="res:berichtszeitraum/res:monat" /><xsl:text>/</xsl:text><xsl:value-of select="res:berichtszeitraum/res:jahr" />
				-->
					<!--<xsl:copy-of select="res:berichtszeitraum/node()|@*" />-->
					<xsl:choose>
						<xsl:when test="res:berichtszeitraum/res:jahr">
							<xsl:apply-templates select="res:berichtszeitraum" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>-</xsl:text>
						</xsl:otherwise>
					</xsl:choose>				
				</td>
				<td align="left">
					<xsl:choose>
						<xsl:when test="res:berichtspflichtiger">
							<xsl:value-of select="res:berichtspflichtiger/res:identifikation/res:identitaet/res:organisation/res:name" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="/res:DatML-RES-D/res:empfaenger/res:identifikation/res:identitaet/res:organisation/res:name" />
						</xsl:otherwise>
					</xsl:choose>
					
				</td>
			</tr>
		</xsl:if>
    </xsl:for-each>
		
	</xsl:template>

	

	
	
	<xsl:template name="STAID">
		<xsl:param name="nummer" required="yes"/>
			<xsl:choose>
				<xsl:when test="$nummer='00'">
					<xsl:value-of select="$nummer"/><xsl:text> - Statistisches Bundesamt</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='01'">
					<xsl:value-of select="$nummer"/><xsl:text> - Schleswig-Holstein</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='02'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Hamburg</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='03'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Niedersachsen</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='04'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Bremen</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='05'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Nordrhein-Westfalen</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='06'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Hessen</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='07'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Rheinland-Pfalz</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='08'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Baden-W&#252;rttemberg</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='09'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Bayern</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='10'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Saarland</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='11'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Berlin</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='12'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Brandenburg</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='13'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Mecklenburg-Vorpommern</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='14'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Sachsen</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='15'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Sachsen-Anhalt</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='16'">
                    <xsl:value-of select="$nummer"/><xsl:text> - Th&#252;ringen</xsl:text>
                </xsl:when>
				<xsl:when test="$nummer='99'">
                    <xsl:text>Zentraler Dateneingang der amtlichen Statistik</xsl:text>
                </xsl:when>			
			</xsl:choose>
		
	</xsl:template>

</xsl:stylesheet>
